Attean::API::BulkUpdatableModel(3pm)

NAME
Attean::API::BulkUpdatableModel - Role representing models that can perform bulk update operations

VERSION
This document describes Attean::API::BulkUpdatableModel version 0.019

SYNOPSIS
  use v5.14;
  use Attean;

DESCRIPTION
This is a Moo role for Attean::API::MutableModels that can perform bulk update operations.

Model-provided mutating methods (e.g. "load_triples", "add_iter", and "add_list") are automatically wrapped in matching "begin_bulk_updates" and "end_bulk_updates" calls.

Read-only model methods (e.g. "get_quads", "get_bindings", "count_quads", "get_graphs", "subject", "predicate", "object", and "graph") are automatically preceded by a "end_bulk_updates" call.

REQUIRED METHODS
Classes consuming this role must provide the following methods:

"begin_bulk_updates"
    Indicates that all subsequent updates (until a call to "end_bulk_updates") should be performed in bulk.

"end_bulk_updates"
    Indicates that pending bulk updates should be performed. The model must allow calls to this method, even when no matching call to "begin_bulk_updates" was made.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/attean/issues>.

SEE ALSO

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2018 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.